%{?nodejs_find_provides_and_requires}
Name:                nodejs-tar
Version:             2.2.1
Release:             2
Summary:             Tar for Node.js
License:             ISC
URL:                 https://github.com/isaacs/node-tar
Source0:             https://registry.npmjs.org/tar/-/tar-%{version}.tgz
Patch0:              nodejs-tar-node5.patch
BuildArch:           noarch
ExclusiveArch:       %{nodejs_arches} noarch
BuildRequires:       nodejs-packaging
BuildRequires:       npm(tap) npm(block-stream) npm(fstream) npm(graceful-fs) npm(inherits) >= 2.0.0
BuildRequires:       npm(mkdirp) npm(rimraf)
%description
A Node.js module that supports reading and writing POSIX "tar" archives.

%prep
%autosetup -p 1 -n package

%build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/tar
cp -pr package.json tar.js lib %{buildroot}%{nodejs_sitelib}/tar
%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%__tap test/*.js

%files
%doc README.md examples
%license LICENSE
%{nodejs_sitelib}/tar

%changelog
* Tue May 10 2022 liyanan <liyanan32@h-partners.com> - 2.2.1-2
- License compliance rectification

* Wed Aug 12 2020 wangyue <wangyue92@huawei.com> - 2.2.1-1
- package init
